table {
    border-collapse: collapse;
    margin-bottom: 30px;
    width: 100%;
    overflow: hidden;
    border: 1px solid var( --table-border-color);
    text-align: left;
}

table th,
.wp-block-table table th {
    background: var(--table-th-background-color);
    color: var(--table-th-color);
    font: 700 22px "Noto Serif", serif;
}

table th small,
.wp-block-table table th small {
    display: block;
    font: 16px/1.5 "Urbanist", sans-serif;
}

table th,
.wp-block-table table th,
table td,
.wp-block-table table td {
    padding: 20px 30px;
}

table td,
.wp-block-table table td {
    color: var(--table-td-color);
    position: relative;
    border: 1px solid var(--table-border-color);
    background: var(--table-td-background-color);
}

table tr:not(:last-child) td:first-child:after,
.wp-block-table table tr:not(:last-child) td:first-child:after,
table tr:not(:last-child) td:last-child:after,
.wp-block-table table tr:not(:last-child) td:last-child:after {
    content: '';
    display: block;
    width: 30px;
    height: 2px;
    background: var(--table-td-background-color);
    position: absolute;
    bottom: -1px;
}

table tr td:first-child:after,
.wp-block-table table tr td:first-child:after {
    left: 0;
}

table tr td:last-child:after,
.wp-block-table table tr td:last-child:after {
    right: 0;
}

table tr.td-primary td,
table tfoot tr td,
.wp-block-table table tfoot tr td {
    color: var(--table-td-primary-color);
    background-color: var(--table-td-primary-background-color);
}

table tr.td-primary td:before,
table tfoot tr td:before,
.wp-block-table table tfoot tr td:before {
    content: '';
    width: 100%;
    height: 1px;
    position: absolute;
    top: -1px;
    left: 0;
    background-color: var(--table-td-primary-background-color);
}

.wp-block-table table tfoot {
    border: 0;
}

